Page MenuHomePhabricator

In the search bar, vary the placeholder text for each search mode (keyword/depict/other statements)
Closed, ResolvedPublic

Description

Add placeholder text to search field modes (search placeholder text should work like Wikipedia’s, retaining the placeholder text when the search bar is selected, and disappearing when the user begins typing, and reappearing, should the user delete any typed characters).

  • Keywords: Search by keyword
  • Depicts: Search by depicted items
  • Other statements: Search by other statements

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedmatthiasmullie
Resolvedmatthiasmullie

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptNov 5 2018, 9:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ramsey-WMF triaged this task as Normal priority.Nov 13 2018, 1:31 AM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.

Change 441040 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Search prototype

https://gerrit.wikimedia.org/r/441040

Jdforrester-WMF renamed this task from Search bar placeholder text for each kind of search mode to In the search bar, vary the placeholder text for each search mode (keyword/depict/other statements.Feb 5 2019, 6:01 PM
Jdforrester-WMF renamed this task from In the search bar, vary the placeholder text for each search mode (keyword/depict/other statements to In the search bar, vary the placeholder text for each search mode (keyword/depict/other statements).Feb 5 2019, 6:05 PM

Change 441040 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Search prototype

https://gerrit.wikimedia.org/r/441040

Change 441040 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Search prototype

https://gerrit.wikimedia.org/r/441040

matthiasmullie closed this task as Resolved.Mar 28 2019, 9:34 AM

Patch has been merged.
Functionality will be tested in T199120
Copy has been changed in T218431
Nothing left to QA or sign off here that is not already covered elsewhere.